{% extends "base.html" %}
{% block content %}
	<div class="card">
		<div class="card-content">
			<h3>Pattern</h3>
            		<form method="POST">
                	{% for p in pattern %}
                	<p>
				<input name="color{{ loop.index }}" type="hidden" value="RGB{{ p }}" id="color{{ loop.index }}">
				<button class="btn jscolor {value: 'RGB{{ p }}', onFineChange:'updateColor(this, &quot;color{{ loop.index }}&quot;)', width:243, height:150, position:'down'}" style="margin: 5px">Choose color</button><br>
                	</p>
                	{% endfor %}
                	<input class="btn btn-primary red" type="submit" value="Apply" style="margin: 5px">
            		</form>
		</div>
	</div>
    <script>
        function updateColor(p, id) {
	    console.log(p.toRGBString());
            document.getElementById(id).value = p.toRGBString()
        }
    </script>
{% endblock %}
